# cuSOLVERMp

NVIDIA cuSOLVERMp is a high-performance, distributed-memory, GPU-accelerated library that provides tools for the solution of dense linear systems and eigenvalue problems.

## Dependencies

- CAL: requires `libcal.\*` in the `$PATH`

- UCC: requires `libucc.\*` and `libucs.\*` in the `$PATH`

## CMake

cuSOLVERMp is enabled with the following CMake option:

    -DCP2K_USE_CUSOLVER_MP=ON